Page MenuHomePhabricator

[MLIR][BUFFER_PLACEMENT] Introduce CallOp converter for buffer placement
ClosedPublic

Authored by dfki-ehna on May 29 2020, 3:20 AM.

Details

Summary

Add BufferAssignmentCallOpConverter as a pattern rewriter for Buffer Placement. It matches the signature of the caller operation with the callee after rewriting the callee with FunctionAndBlockSignatureConverter.

Diff Detail

Event Timeline

dfki-ehna created this revision.May 29 2020, 3:20 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 29 2020, 3:20 AM
dfki-ehna added a project: Restricted Project.
pifon2a added inline comments.May 29 2020, 3:33 AM
mlir/lib/Transforms/BufferPlacement.cpp
508

nit: No replacing is required.

mlir/test/Transforms/buffer-placement-preparation.mlir
214

Please, format IR to fit 80 chars, smth like:

%0 = linalg.generic {
       args_in = 1 : i64, 
       args_out = 1 : i64,
       indexing_maps = [#map0, #map0], 
       iterator_types = ["parallel"]
     } %arg1 {
257

that's nice that we can already do that!

pifon2a accepted this revision.May 29 2020, 3:37 AM
This revision is now accepted and ready to land.May 29 2020, 3:37 AM

(Please void upper caps in your commit title)
(I'd also avoid [BUFFER_PLACEMENT] as a tag in the first place, the commit title is descriptive enough as Introduce CallOp converter for buffer placement)

herhut accepted this revision.Jun 1 2020, 11:48 AM

Thanks!

dfki-ehna updated this revision to Diff 267826.Jun 2 2020, 2:30 AM

Resolve the comments.

This revision was automatically updated to reflect the committed changes.